<?php
/** Ha létezik az email cookie, akkor az értékét egy változóban elmentjük */
if (isset($_COOKIE['webshop_email'])) 
{
  $webshop_email = $_COOKIE['webshop_email'];
}
/** Különben egy üres stringet adunk a változónak */
else 
{
  $webshop_email = "";
}

/** Ha létezik a jelszó cookie, akkor az értékét egy változóban elmentjük */
if (isset($_COOKIE['webshop_jelszo'])) 
{
  $webshop_jelszo = $_COOKIE['webshop_jelszo'];
}
/** Különben egy üres stringet adunk a változónak */
else 
{
  $webshop_jelszo = "";
}

$belepve = 0;

/** Ha az email és a jelszó változók nem üresek, 
  * akkor adatbázisból lekérdezzük az email-jelszó pároshoz tartozó sort, 
  * és az id, valamint a név mezot elmentjük két változóban. 
  */
if ($webshop_email != "" AND $webshop_jelszo != "") 
{

  $most = date("Y-m-d H:i:s");

  $parancs = "SELECT * from ugyfelek WHERE email='$webshop_email' AND jelszo='$webshop_jelszo'";
  $eredmeny = mysql_query($parancs);
 
  if (mysql_num_rows($eredmeny) > 0) 
  {
    $sor = mysql_fetch_array($eredmeny);
    $webshop_id = $sor["id"];
    $webshop_nev = $sor["veznev"] . " " . $sor["kernev"];
	$veznev = $sor["veznev"];
	$kernev = $sor["kernev"];
	
	$vez_tel = $sor["vez_tel"];
	$mobil_tel = $sor["mobil_tel"];
    $orszag = $sor["orszag"];
    $irszam = $sor["irszam"];
    $varos = $sor["varos"];
    $utca = $sor["utca"];
    $hszam = $sor["hszam"];
    $sz_nev = $sor["sz_nev"];
    $sz_orszag = $sor["sz_orszag"];
    $sz_irszam = $sor["sz_irszam"];
    $sz_varos = $sor["sz_varos"];
    $sz_utca = $sor["sz_utca"];
    $sz_hszam = $sor["sz_hszam"];
	
	/** A belépve változót 1-re állítjuk ami azt jelenti, hogy a felhasználó be van lépve. */
    $belepve = 1;
	
	
	/** Ha a rendeles.php oldalon vagyunk */
	if($page == "rendeles")
	{
	  $parancs = "SELECT * from rendelesek WHERE ugyfel_id=$webshop_id AND code='$kod'";
	  $eredmeny = mysql_query($parancs);
	  
	  if (mysql_num_rows($eredmeny) > 0) 
	  {
		$belepve = 0;
      }
	  
	  if ($osszeg == 0) $belepve = 0;
	  
	  if ($belepve == 1) 
	  {
	  $idopont = date("Y-m-d H:i:s");
	
	  $sql = "INSERT INTO rendelesek (ugyfel_id, code, rendeles_date, fizetendo) VALUES ($webshop_id, '$kod', '$idopont', $osszeg)";
	  mysql_query($sql);
	
	  $sql = "SELECT id FROM rendelesek WHERE ugyfel_id=$webshop_id ORDER BY id DESC";
	  $eredmeny = mysql_query($sql);
	  $sor = mysql_fetch_array($eredmeny);
	  $rendeles_id = $sor["id"];
	
	  $sql = "UPDATE kosar SET rendeles_id=$rendeles_id WHERE ugyfel_id=$webshop_id AND rendeles_id=0";
	  mysql_query($sql);
	
	  $ujsor = "\r\n";
	
	  $uzenet = "Kedves $webshop_nev!" . $ujsor . $ujsor;
	  $uzenet .= "Köszönjük szépen a rendelést!" . $ujsor;
	  $uzenet .= "Az alábbi termékeket fogjuk elküldeni neked:" . $ujsor . $ujsor;
	  $uzenet .= $mitrendelt . $ujsor;
	  $uzenet .= "Fizetendő végösszeg: $osszeg Ft" . $ujsor . $ujsor;
	  $uzenet .= "Ha bármilyen kérdésed van a rendeléssel kapcsolatban, írj e-mailt a drinkrunner2009@gmail.com címre!" . $ujsor . $ujsor . $ujsor;
	  $uzenet .= "Üdvözlettel:" . $ujsor . $ujsor;
	  $uzenet .= "Ital futár" . $ujsor;
	
	  mail($webshop_email,"Rendelésed azonosítója: $rendeles_id", $uzenet, "From: Ital futár<drinkrunner2009@gmail.com>");
	  }
	  
	}
	
  }

}
?>